package com.gic.haoban.manage.web.vo.order;

import java.io.Serializable;

public class MemberInfoVO implements Serializable {

    /**
    * @Fields serialVersionUID : TODO(用一句话描述这个变量表示什么)
    */
    private static final long serialVersionUID = -2814959714712832104L;

    private String memberId;
    // 会员信息
    private String memberName;
    private String memberImage;
    private String mainClerkId;
    private String mainClerkName;
    private String mainClerkCode;
    private String mainStoreId;
    private String mainStoreName;
    private String mainStoreCode;

    private String openClerkId;
    private String openClerkName;
    private String openClerkCode;
    private String openStoreId;
    private String openStoreName;
    private String openStoreCode;
    
    private String belongClerkId;
    private String belongClerkCode;
    private String belongClerkName;
    private String belongStoreId;
    private String belongStoreCode;
    private String belongStoreName;
    
    // 收货地址
    private String addressName;
    private String addressPhone;
    private String addressDetail;

    public String getMainClerkCode() {
        return mainClerkCode;
    }

    public String getMainStoreCode() {
        return mainStoreCode;
    }

    public String getOpenClerkCode() {
        return openClerkCode;
    }

    public String getOpenStoreCode() {
        return openStoreCode;
    }

    public void setMainClerkCode(String mainClerkCode) {
        this.mainClerkCode = mainClerkCode;
    }

    public void setMainStoreCode(String mainStoreCode) {
        this.mainStoreCode = mainStoreCode;
    }

    public void setOpenClerkCode(String openClerkCode) {
        this.openClerkCode = openClerkCode;
    }

    public void setOpenStoreCode(String openStoreCode) {
        this.openStoreCode = openStoreCode;
    }

    public String getOpenClerkId() {
        return openClerkId;
    }

    public String getOpenClerkName() {
        return openClerkName;
    }

    public String getOpenStoreId() {
        return openStoreId;
    }

    public String getOpenStoreName() {
        return openStoreName;
    }

    public void setOpenClerkId(String openClerkId) {
        this.openClerkId = openClerkId;
    }

    public void setOpenClerkName(String openClerkName) {
        this.openClerkName = openClerkName;
    }

    public void setOpenStoreId(String openStoreId) {
        this.openStoreId = openStoreId;
    }

    public void setOpenStoreName(String openStoreName) {
        this.openStoreName = openStoreName;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getAddressName() {
        return addressName;
    }

    public String getAddressPhone() {
        return addressPhone;
    }

    public String getAddressDetail() {
        return addressDetail;
    }

    public void setAddressName(String addressName) {
        this.addressName = addressName;
    }

    public void setAddressPhone(String addressPhone) {
        this.addressPhone = addressPhone;
    }

    public void setAddressDetail(String addressDetail) {
        this.addressDetail = addressDetail;
    }

    public String getMemberName() {
        return memberName;
    }

    public String getMemberImage() {
        return memberImage;
    }

    public String getMainClerkId() {
        return mainClerkId;
    }

    public String getMainClerkName() {
        return mainClerkName;
    }

    public String getMainStoreId() {
        return mainStoreId;
    }

    public String getMainStoreName() {
        return mainStoreName;
    }

    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    public void setMemberImage(String memberImage) {
        this.memberImage = memberImage;
    }

    public void setMainClerkId(String mainClerkId) {
        this.mainClerkId = mainClerkId;
    }

    public void setMainClerkName(String mainClerkName) {
        this.mainClerkName = mainClerkName;
    }

    public void setMainStoreId(String mainStoreId) {
        this.mainStoreId = mainStoreId;
    }

    public void setMainStoreName(String mainStoreName) {
        this.mainStoreName = mainStoreName;
    }

    public String getBelongClerkId() {
        return belongClerkId;
    }

    public String getBelongClerkCode() {
        return belongClerkCode;
    }

    public String getBelongClerkName() {
        return belongClerkName;
    }

    public String getBelongStoreId() {
        return belongStoreId;
    }

    public String getBelongStoreCode() {
        return belongStoreCode;
    }

    public String getBelongStoreName() {
        return belongStoreName;
    }

    public void setBelongClerkId(String belongClerkId) {
        this.belongClerkId = belongClerkId;
    }

    public void setBelongClerkCode(String belongClerkCode) {
        this.belongClerkCode = belongClerkCode;
    }

    public void setBelongClerkName(String belongClerkName) {
        this.belongClerkName = belongClerkName;
    }

    public void setBelongStoreId(String belongStoreId) {
        this.belongStoreId = belongStoreId;
    }

    public void setBelongStoreCode(String belongStoreCode) {
        this.belongStoreCode = belongStoreCode;
    }

    public void setBelongStoreName(String belongStoreName) {
        this.belongStoreName = belongStoreName;
    }
    
}
